body {
  font-family: 'Roboto', sans-serif;
  background-color: #f4f4f4;
  margin: 0;
  padding: 0;
}

.container {
  margin: 20px;
}

.shelf {
  display: flex;
  justify-content: space-around;
  margin: 20px;
}

.bookshelf {
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 5px;
  padding: 15px;
  width: 45%;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.bookshelf h2 {
  color: #333;
}

.bookshelf ul {
  list-style-type: none;
  padding: 0;
}

.bookshelf li {
  margin: 10px 0;
  padding: 10px;
  background-color: #f9f9f9;
  border-radius: 5px;
  align-items: center;
}

.add-book-form {
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 5px;
  padding: 15px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.add-book-form h2 {
  color: #333;
}

input[type="text"],
input[type="number"] {
  width: calc(100% - 20px);
  padding: 10px;
  margin: 5px 0;
  border: 1px solid #ddd;
  border-radius: 3px;
}

label {
  margin-right: 10px;
}

button {
  background-color: #4caf50;
  color: #fff;
  padding: 10px 15px;
  border: none;
  border-radius: 3px;
  cursor: pointer;
}

button:hover {
  background-color: #45a049;
}

button:active {
  transform: scale(0.95);
}

.btn-danger{
  background-color: #ff0000;
  color: #fff;
  padding: 10px 15px;
  border: none;
  border-radius: 3px;
  cursor: pointer;
}

.btn-danger:hover {
  background-color: firebrick;
}

input[type="checkbox"] {
  margin-top: 10px;
}

@media screen and (max-width: 600px) {
  .container {
    flex-direction: column;
  }

  .bookshelf {
    width: 100%;
    margin-bottom: 20px;
  }
}
